#
# Use ZAW search
# First check if ZAW is installed and sourced
#

__zspr_plm_has_plugin "zsh-users/zaw" || return

bindkey '^R' zaw-history
bindkey -M filterselect '^R' up-line-or-history
bindkey -M filterselect '^D' down-line-or-history
bindkey -M filterselect '^E' accept-search

zstyle ':filter-select:highlight' matched fg=red,standout
zstyle ':filter-select' hist-find-no-dups
zstyle ':filter-select' max-lines 7
zstyle ':filter-select' rotate-list yes
zstyle ':filter-select' extended-search yes
