#
# Quick scratch directory creator
#

# Create quick scratch directory for testing and other stuff
function new-scratch {
    local SCRATCH="${HOME}/scratch"
    local NEW_SCRATCH="${HOME}/tmp/scratch_$(date "+%s")"
    mkdir -p "${NEW_SCRATCH}"
    ln -nfs "${NEW_SCRATCH}" "${SCRATCH}"
    pushd "${SCRATCH}/" >/dev/null
    printf "New scratch dir ready for grinding ;>\n\n"
}

autoload -Uz new-scratch
